Ruby: pm_block_parameter_node Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
pm_block_parameter_node Struct Reference

BlockParameterNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_constant_id_t | name
| BlockParameterNode#name.
pm_location_t | name_loc
| BlockParameterNode#name_loc.
pm_location_t | operator_loc
| BlockParameterNode#operator_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

BlockParameterNode.

Represents a block parameter of a method, block, or lambda definition.

    def a(&b)
          ^^
    end

Type: ::PM_BLOCK_PARAMETER_NODE

Flags (#pm_parameter_flags):

- ::PM_PARAMETER_FLAGS_REPEATED_PARAMETER

Definition at line 1858 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_block_parameter_node::base

The embedded base node.

Definition at line 1860 of file ast.h.

Referenced by pm_dump_json().

## ◆ name

pm_constant_id_t pm_block_parameter_node::name

BlockParameterNode#name.

The name of the block parameter.

    def a(&b) # name `:b`
           ^
    end

Definition at line 1872 of file ast.h.

Referenced by pm_dump_json().

## ◆ name_loc

pm_location_t pm_block_parameter_node::name_loc

BlockParameterNode#name_loc.

Represents the location of the block parameter name.

    def a(&b)
           ^

Definition at line 1882 of file ast.h.

Referenced by pm_dump_json().

## ◆ operator_loc

pm_location_t pm_block_parameter_node::operator_loc

BlockParameterNode#operator_loc.

Represents the location of the & operator.

    def a(&b)
          ^
    end

Definition at line 1893 of file ast.h.

Referenced by pm_dump_json().

The documentation for this struct was generated from the following file:

- prism/ast.h